package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.VipMembershipMapper;
import com.ruoyi.system.domain.VipMembership;
import com.ruoyi.system.service.IVipMembershipService;

/**
 * viplistService业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-24
 */
@Service
public class VipMembershipServiceImpl extends ServiceImpl<BaseMapper<VipMembership>,VipMembership> implements IVipMembershipService
{
    @Autowired
    private VipMembershipMapper vipMembershipMapper;

    /**
     * 查询viplist
     * 
     * @param id viplist主键
     * @return viplist
     */
    @Override
    public VipMembership selectVipMembershipById(Long id)
    {
        return vipMembershipMapper.selectVipMembershipById(id);
    }

    /**
     * 查询viplist列表
     * 
     * @param vipMembership viplist
     * @return viplist
     */
    @Override
    public List<VipMembership> selectVipMembershipList(VipMembership vipMembership)
    {
        return vipMembershipMapper.selectVipMembershipList(vipMembership);
    }

    /**
     * 新增viplist
     * 
     * @param vipMembership viplist
     * @return 结果
     */
    @Override
    public int insertVipMembership(VipMembership vipMembership)
    {
        return vipMembershipMapper.insertVipMembership(vipMembership);
    }

    /**
     * 修改viplist
     * 
     * @param vipMembership viplist
     * @return 结果
     */
    @Override
    public int updateVipMembership(VipMembership vipMembership)
    {
        return vipMembershipMapper.updateVipMembership(vipMembership);
    }

    /**
     * 批量删除viplist
     * 
     * @param ids 需要删除的viplist主键
     * @return 结果
     */
    @Override
    public int deleteVipMembershipByIds(Long[] ids)
    {
        return vipMembershipMapper.deleteVipMembershipByIds(ids);
    }

    /**
     * 删除viplist信息
     * 
     * @param id viplist主键
     * @return 结果
     */
    @Override
    public int deleteVipMembershipById(Long id)
    {
        return vipMembershipMapper.deleteVipMembershipById(id);
    }
}
